<?php

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

// Register the Dynamic Tag Class with Elementor
function wc_cart_dynamic_tags_register($dynamic_tags) {
// Debugging: Check if file paths are correct

    require_once plugin_dir_path(__FILE__) . 'class-wc-cart-items-tag.php';
    $dynamic_tags->register_tag('WC_Cart_Items_Tag');
}
add_action('elementor/dynamic_tags/register', 'wc_cart_dynamic_tags_register');

function register_wc_cart_widget($widgets_manager) {

    // Debugging: Check if file paths are correct

    require_once plugin_dir_path(__FILE__) . 'class-wc-cart-widget.php';

    $widgets_manager->register(new WC_Cart_Widget());
}
add_action('elementor/widgets/register', 'register_wc_cart_widget');
